--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns maximum property length (if applicable). This usually only makes sense when property is of type Range or custom type.
- !ruby/struct:SM::Flow::P 
  body: "@return [Integer, NilClass]"
- !ruby/struct:SM::Flow::VERB 
  body: "  the maximum length of this property\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Property#length
is_singleton: false
name: length
params: ()
visibility: public
